# POS API — Payments

> Canonical URL: https://developers.apideck.com/apis/pos/reference#tag/Payments

This document contains every operation on the `Payments` resource.

---

# List Payments

> **POS API** · `GET /pos/payments`
> Canonical URL: https://developers.apideck.com/apis/pos/reference#tag/Payments/operation/paymentsAll

List Payments

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — PosPayments

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `square`
- `resource` `string` **required** — Unified API resource name — example: `PosPayments`
- `operation` `string` **required** — Operation performed — example: `all`
- `data` `array of object` **required**
  - `id` `string` — A unique identifier for an object. — example: `12345`
  - `source_id` `string` **required** — The ID for the source of funds for this payment. Square-only: This can be a payment token (card nonce) generated by the payment form or a card on file made linked to the customer. if recording a payment that the seller received outside of Square, specify either `CASH` or `EXTERNAL`. — example: `12345`
  - `order_id` `string` **required** — example: `12345`
  - `merchant_id` `string` — example: `12345`
  - `customer_id` `string` **required** — example: `12345`
  - `employee_id` `string` — example: `12345`
  - `location_id` `string` — example: `12345`
  - `device_id` `string` — example: `12345`
  - `tender_id` `string` **required** — example: `12345`
  - `external_payment_id` `string` — example: `12345`
  - `idempotency_key` `string` — A value you specify that uniquely identifies this request among requests you have sent. — example: `random_string`
  - `amount` `number` **required** — example: `27.5`
  - `currency` `string` **required** — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
  - `tip` `number` — example: `7`
  - `tax` `number` — example: `20`
  - `total` `number` — example: `37.5`
  - `app_fee` `number` — The amount the developer is taking as a fee for facilitating the payment on behalf of the seller. — example: `3`
  - `change_back_cash_amount` `number` — example: `20`
  - `approved` `number` — The initial amount of money approved for this payment. — example: `37.5`
  - `refunded` `number` — The initial amount of money approved for this payment. — example: `37.5`
  - `processing_fees` `array of any`
    - `amount` `number` — example: `1.05`
    - `effective_at` `string` — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
    - `processing_type` `string` — enum: `initial`, `adjustment`
  - `source` `string` — Source of this payment. — enum: `card`, `bank_account`, `wallet`, `bnpl`, `cash`, `external`, `other` — example: `external`
  - `status` `string` — Status of this payment. — enum: `approved`, `pending`, `completed`, `canceled`, `failed`, `other` — example: `OK`
  - `cash` `object` — Cash details for this payment
    - `amount` `any` — The amount of cash given by the customer.
    - `charge_back_amount` `any` — The amount of change due back to the buyer. For Square: this read-only field is calculated from the amount_money and buyer_supplied_money fields.
  - `card_details` `object`
    - `card` `object` — A card's non-confidential details.
      - `id` `string` — A unique identifier for an object. — example: `12345`
      - `bin` `string` — The first six digits of the card number, known as the Bank Identification Number (BIN). — example: `41111`
      - `card_brand` `string` — The first six digits of the card number, known as the Bank Identification Number (BIN). — enum: `visa`, `mastercard`, `amex`, `discover`, `discover-diners`, `jcb`, `china-unionpay`, `square-gift-card`, `square-capital-card`, `interac`, `eftpos`, `felica`, `ebt`, `other`
      - `card_type` `string` — enum: `credit`, `debit`, `prepaid`, `other` — example: `credit`
      - `prepaid_type` `string` — enum: `non-prepaid`, `prepaid`, `unknown` — example: `prepaid`
      - `cardholder_name` `string` — example: `John Doe`
      - `customer_id` `string` — example: `12345`
      - `merchant_id` `string` — example: `12345`
      - `exp_month` `integer` — The expiration month of the associated card as an integer between 1 and 12. — example: `1`
      - `exp_year` `integer` — The four-digit year of the card's expiration date. — example: `2022`
      - `fingerprint` `string` — example: ` Intended as a POS-assigned identifier, based on the card number, to identify the card across multiple locations within a single application.`
      - `last_4` `string` — example: `The last 4 digits of the card number.`
      - `enabled` `boolean` — Indicates whether or not a card can be used for payments. — example: `true`
      - `billing_address` `object`
        - `id` `string` — Unique identifier for the address. — example: `123`
        - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
        - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
        - `name` `string` — The name of the address. — example: `HQ US`
        - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
        - `line2` `string` — Line 2 of the address — example: `apt #`
        - `line3` `string` — Line 3 of the address — example: `Suite #`
        - `line4` `string` — Line 4 of the address — example: `delivery instructions`
        - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
        - `street_number` `string` — Street number — example: `25`
        - `city` `string` — Name of city. — example: `San Francisco`
        - `state` `string` — Name of state — example: `CA`
        - `postal_code` `string` — Zip code or equivalent. — example: `94104`
        - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
        - `latitude` `string` — Latitude of the address — example: `40.759211`
        - `longitude` `string` — Longitude of the address — example: `-73.984638`
        - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
        - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
        - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
        - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
        - `fax` `string` — Fax number of the address — example: `122-111-1111`
        - `email` `string` — Email address of the address — example: `elon@musk.com`
        - `website` `string` — Website of the address — example: `https://elonmusk.com`
        - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
        - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
      - `reference_id` `string` — An optional user-defined reference ID that associates this record with another entity in an external system. For example, a customer ID from an external customer management system. — example: `card-001`
      - `version` `string` — example: `230320320320`
  - `bank_account` `object` — Card details for this payment. This field is currently not available. Reach out to our team for more info.
    - `bank_name` `string` — The name of the bank associated with the bank account.
    - `transfer_type` `string` — The type of the bank transfer. The type can be `ACH` or `UNKNOWN`.
    - `account_ownership_type` `string` — The ownership type of the bank account performing the transfer. The type can be `INDIVIDUAL`, `COMPANY`, or `UNKNOWN`.
    - `fingerprint` `string` — Uniquely identifies the bank account for this seller and can be used to determine if payments are from the same bank account.
    - `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
    - `statement_description` `string` — The statement description as sent to the bank.
    - `ach_details` `object` — ACH-specific details about `BANK_ACCOUNT` type payments with the `transfer_type` of `ACH`.
      - `routing_number` `string` — The routing number for the bank account.
      - `account_number_suffix` `string` — The last few digits of the bank account number.
      - `account_type` `string` — The type of the bank account performing the transfer. The account type can be `CHECKING`, `SAVINGS`, or `UNKNOWN`.
  - `wallet` `object` — Wallet details for this payment. This field is currently not available. Reach out to our team for more info.
    - `status` `string` — The status of the wallet payment. The status can be AUTHORIZED, CAPTURED, VOIDED, or FAILED. — enum: `authorized`, `captured`, `voided`, `failed`, `other`
  - `external_details` `object` — Details about an external payment.
    - `type` `string` **required** — The type of external payment the seller received. It can be one of the following: - CHECK - Paid using a physical check. - BANK_TRANSFER - Paid using external bank transfer. - OTHER\_GIFT\_CARD - Paid using a non-Square gift card. - CRYPTO - Paid using a crypto currency. - SQUARE_CASH - Paid using Square Cash App. - SOCIAL - Paid using peer-to-peer payment applications. - EXTERNAL - A third-party application gathered this payment outside of Square. - EMONEY - Paid using an E-money provider. - CARD - A credit or debit card that Square does not support. - STORED_BALANCE - Use for house accounts, store credit, and so forth. - FOOD_VOUCHER - Restaurant voucher provided by employers to employees to pay for meals - OTHER - A type not listed here. — enum: `check`, `bank_transfer`, `other_gift_card`, `crypto`, `square_cash`, `social`, `external`, `emoney`, `card`, `stored_balance`, `food_voucher`, `other`
    - `source` `string` **required** — A description of the external payment source. For example,  "Food Delivery Service".
    - `source_id` `string` — An ID to associate the payment to its originating source.
    - `source_fee_amount` `number` — The fees paid to the source. The amount minus this field is the net amount seller receives. — example: `2.5`
  - `service_charges` `array of object` — Optional service charges or gratuity tip applied to the order.
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `name` `string` — Service charge name — example: `Charge for delivery`
    - `amount` `number` — example: `27500`
    - `percentage` `number` — Service charge percentage. Use this field to calculate the amount of the service charge. Pass a percentage and amount at the same time. — example: `12.5`
    - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
    - `active` `boolean` — example: `true`
    - `type` `string` — The type of the service charge. — enum: `auto_gratuity`, `custom`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `updated_by` `string` — The user who last updated the object. — example: `12345`
  - `created_by` `string` — The user who created the object. — example: `12345`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Create Payment

> **POS API** · `POST /pos/payments`
> Canonical URL: https://developers.apideck.com/apis/pos/reference#tag/Payments/operation/paymentsAdd

Create Payment

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |

### Request Body

_Required._

- `id` `string` — A unique identifier for an object. — example: `12345`
- `source_id` `string` **required** — The ID for the source of funds for this payment. Square-only: This can be a payment token (card nonce) generated by the payment form or a card on file made linked to the customer. if recording a payment that the seller received outside of Square, specify either `CASH` or `EXTERNAL`. — example: `12345`
- `order_id` `string` **required** — example: `12345`
- `merchant_id` `string` — example: `12345`
- `customer_id` `string` **required** — example: `12345`
- `employee_id` `string` — example: `12345`
- `location_id` `string` — example: `12345`
- `device_id` `string` — example: `12345`
- `tender_id` `string` **required** — example: `12345`
- `external_payment_id` `string` — example: `12345`
- `idempotency_key` `string` — A value you specify that uniquely identifies this request among requests you have sent. — example: `random_string`
- `amount` `number` **required** — example: `27.5`
- `currency` `string` **required** — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
- `tip` `number` — example: `7`
- `tax` `number` — example: `20`
- `total` `number` — example: `37.5`
- `app_fee` `number` — The amount the developer is taking as a fee for facilitating the payment on behalf of the seller. — example: `3`
- `change_back_cash_amount` `number` — example: `20`
- `approved` `number` — The initial amount of money approved for this payment. — example: `37.5`
- `refunded` `number` — The initial amount of money approved for this payment. — example: `37.5`
- `processing_fees` `array of any`
  - `amount` `number` — example: `1.05`
  - `effective_at` `string` — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `processing_type` `string` — enum: `initial`, `adjustment`
- `source` `string` — Source of this payment. — enum: `card`, `bank_account`, `wallet`, `bnpl`, `cash`, `external`, `other` — example: `external`
- `status` `string` — Status of this payment. — enum: `approved`, `pending`, `completed`, `canceled`, `failed`, `other` — example: `approved`
- `cash` `object` — Cash details for this payment
  - `amount` `any` — The amount of cash given by the customer.
  - `charge_back_amount` `any` — The amount of change due back to the buyer. For Square: this read-only field is calculated from the amount_money and buyer_supplied_money fields.
- `card_details` `object`
  - `card` `object` — A card's non-confidential details.
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `bin` `string` — The first six digits of the card number, known as the Bank Identification Number (BIN). — example: `41111`
    - `card_brand` `string` — The first six digits of the card number, known as the Bank Identification Number (BIN). — enum: `visa`, `mastercard`, `amex`, `discover`, `discover-diners`, `jcb`, `china-unionpay`, `square-gift-card`, `square-capital-card`, `interac`, `eftpos`, `felica`, `ebt`, `other`
    - `card_type` `string` — enum: `credit`, `debit`, `prepaid`, `other` — example: `credit`
    - `prepaid_type` `string` — enum: `non-prepaid`, `prepaid`, `unknown` — example: `prepaid`
    - `cardholder_name` `string` — example: `John Doe`
    - `customer_id` `string` — example: `12345`
    - `merchant_id` `string` — example: `12345`
    - `exp_month` `integer` — The expiration month of the associated card as an integer between 1 and 12. — example: `1`
    - `exp_year` `integer` — The four-digit year of the card's expiration date. — example: `2022`
    - `fingerprint` `string` — example: ` Intended as a POS-assigned identifier, based on the card number, to identify the card across multiple locations within a single application.`
    - `last_4` `string` — example: `The last 4 digits of the card number.`
    - `enabled` `boolean` — Indicates whether or not a card can be used for payments. — example: `true`
    - `billing_address` `object`
      - `id` `string` — Unique identifier for the address. — example: `123`
      - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
      - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
      - `name` `string` — The name of the address. — example: `HQ US`
      - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
      - `line2` `string` — Line 2 of the address — example: `apt #`
      - `line3` `string` — Line 3 of the address — example: `Suite #`
      - `line4` `string` — Line 4 of the address — example: `delivery instructions`
      - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
      - `street_number` `string` — Street number — example: `25`
      - `city` `string` — Name of city. — example: `San Francisco`
      - `state` `string` — Name of state — example: `CA`
      - `postal_code` `string` — Zip code or equivalent. — example: `94104`
      - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
      - `latitude` `string` — Latitude of the address — example: `40.759211`
      - `longitude` `string` — Longitude of the address — example: `-73.984638`
      - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
      - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
      - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
      - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
      - `fax` `string` — Fax number of the address — example: `122-111-1111`
      - `email` `string` — Email address of the address — example: `elon@musk.com`
      - `website` `string` — Website of the address — example: `https://elonmusk.com`
      - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
      - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
    - `reference_id` `string` — An optional user-defined reference ID that associates this record with another entity in an external system. For example, a customer ID from an external customer management system. — example: `card-001`
    - `version` `string` — example: `230320320320`
- `bank_account` `object` — Card details for this payment. This field is currently not available. Reach out to our team for more info.
  - `bank_name` `string` — The name of the bank associated with the bank account.
  - `transfer_type` `string` — The type of the bank transfer. The type can be `ACH` or `UNKNOWN`.
  - `account_ownership_type` `string` — The ownership type of the bank account performing the transfer. The type can be `INDIVIDUAL`, `COMPANY`, or `UNKNOWN`.
  - `fingerprint` `string` — Uniquely identifies the bank account for this seller and can be used to determine if payments are from the same bank account.
  - `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
  - `statement_description` `string` — The statement description as sent to the bank.
  - `ach_details` `object` — ACH-specific details about `BANK_ACCOUNT` type payments with the `transfer_type` of `ACH`.
    - `routing_number` `string` — The routing number for the bank account.
    - `account_number_suffix` `string` — The last few digits of the bank account number.
    - `account_type` `string` — The type of the bank account performing the transfer. The account type can be `CHECKING`, `SAVINGS`, or `UNKNOWN`.
- `wallet` `object` — Wallet details for this payment. This field is currently not available. Reach out to our team for more info.
  - `status` `string` — The status of the wallet payment. The status can be AUTHORIZED, CAPTURED, VOIDED, or FAILED. — enum: `authorized`, `captured`, `voided`, `failed`, `other`
- `external_details` `object` — Details about an external payment.
  - `type` `string` **required** — The type of external payment the seller received. It can be one of the following: - CHECK - Paid using a physical check. - BANK_TRANSFER - Paid using external bank transfer. - OTHER\_GIFT\_CARD - Paid using a non-Square gift card. - CRYPTO - Paid using a crypto currency. - SQUARE_CASH - Paid using Square Cash App. - SOCIAL - Paid using peer-to-peer payment applications. - EXTERNAL - A third-party application gathered this payment outside of Square. - EMONEY - Paid using an E-money provider. - CARD - A credit or debit card that Square does not support. - STORED_BALANCE - Use for house accounts, store credit, and so forth. - FOOD_VOUCHER - Restaurant voucher provided by employers to employees to pay for meals - OTHER - A type not listed here. — enum: `check`, `bank_transfer`, `other_gift_card`, `crypto`, `square_cash`, `social`, `external`, `emoney`, `card`, `stored_balance`, `food_voucher`, `other`
  - `source` `string` **required** — A description of the external payment source. For example,  "Food Delivery Service".
  - `source_id` `string` — An ID to associate the payment to its originating source.
  - `source_fee_amount` `number` — The fees paid to the source. The amount minus this field is the net amount seller receives. — example: `2.5`
- `service_charges` `array of object` — Optional service charges or gratuity tip applied to the order.
  - `id` `string` — A unique identifier for an object. — example: `12345`
  - `name` `string` — Service charge name — example: `Charge for delivery`
  - `amount` `number` — example: `27500`
  - `percentage` `number` — Service charge percentage. Use this field to calculate the amount of the service charge. Pass a percentage and amount at the same time. — example: `12.5`
  - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
  - `active` `boolean` — example: `true`
  - `type` `string` — The type of the service charge. — enum: `auto_gratuity`, `custom`
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `updated_by` `string` — The user who last updated the object. — example: `12345`
- `created_by` `string` — The user who created the object. — example: `12345`
- `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.

### Responses

#### 201 — PosPayments

- `status_code` `integer` **required** — HTTP Response Status Code — example: `201`
- `status` `string` **required** — HTTP Response Status — example: `Created`
- `service` `string` **required** — Apideck ID of service provider — example: `square`
- `resource` `string` **required** — Unified API resource name — example: `PosPayments`
- `operation` `string` **required** — Operation performed — example: `add`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get Payment

> **POS API** · `GET /pos/payments/{id}`
> Canonical URL: https://developers.apideck.com/apis/pos/reference#tag/Payments/operation/paymentsOne

Get Payment

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — PosPayments

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `square`
- `resource` `string` **required** — Unified API resource name — example: `PosPayments`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `id` `string` — A unique identifier for an object. — example: `12345`
  - `source_id` `string` **required** — The ID for the source of funds for this payment. Square-only: This can be a payment token (card nonce) generated by the payment form or a card on file made linked to the customer. if recording a payment that the seller received outside of Square, specify either `CASH` or `EXTERNAL`. — example: `12345`
  - `order_id` `string` **required** — example: `12345`
  - `merchant_id` `string` — example: `12345`
  - `customer_id` `string` **required** — example: `12345`
  - `employee_id` `string` — example: `12345`
  - `location_id` `string` — example: `12345`
  - `device_id` `string` — example: `12345`
  - `tender_id` `string` **required** — example: `12345`
  - `external_payment_id` `string` — example: `12345`
  - `idempotency_key` `string` — A value you specify that uniquely identifies this request among requests you have sent. — example: `random_string`
  - `amount` `number` **required** — example: `27.5`
  - `currency` `string` **required** — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
  - `tip` `number` — example: `7`
  - `tax` `number` — example: `20`
  - `total` `number` — example: `37.5`
  - `app_fee` `number` — The amount the developer is taking as a fee for facilitating the payment on behalf of the seller. — example: `3`
  - `change_back_cash_amount` `number` — example: `20`
  - `approved` `number` — The initial amount of money approved for this payment. — example: `37.5`
  - `refunded` `number` — The initial amount of money approved for this payment. — example: `37.5`
  - `processing_fees` `array of any`
    - `amount` `number` — example: `1.05`
    - `effective_at` `string` — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
    - `processing_type` `string` — enum: `initial`, `adjustment`
  - `source` `string` — Source of this payment. — enum: `card`, `bank_account`, `wallet`, `bnpl`, `cash`, `external`, `other` — example: `external`
  - `status` `string` — Status of this payment. — enum: `approved`, `pending`, `completed`, `canceled`, `failed`, `other` — example: `OK`
  - `cash` `object` — Cash details for this payment
    - `amount` `any` — The amount of cash given by the customer.
    - `charge_back_amount` `any` — The amount of change due back to the buyer. For Square: this read-only field is calculated from the amount_money and buyer_supplied_money fields.
  - `card_details` `object`
    - `card` `object` — A card's non-confidential details.
      - `id` `string` — A unique identifier for an object. — example: `12345`
      - `bin` `string` — The first six digits of the card number, known as the Bank Identification Number (BIN). — example: `41111`
      - `card_brand` `string` — The first six digits of the card number, known as the Bank Identification Number (BIN). — enum: `visa`, `mastercard`, `amex`, `discover`, `discover-diners`, `jcb`, `china-unionpay`, `square-gift-card`, `square-capital-card`, `interac`, `eftpos`, `felica`, `ebt`, `other`
      - `card_type` `string` — enum: `credit`, `debit`, `prepaid`, `other` — example: `credit`
      - `prepaid_type` `string` — enum: `non-prepaid`, `prepaid`, `unknown` — example: `prepaid`
      - `cardholder_name` `string` — example: `John Doe`
      - `customer_id` `string` — example: `12345`
      - `merchant_id` `string` — example: `12345`
      - `exp_month` `integer` — The expiration month of the associated card as an integer between 1 and 12. — example: `1`
      - `exp_year` `integer` — The four-digit year of the card's expiration date. — example: `2022`
      - `fingerprint` `string` — example: ` Intended as a POS-assigned identifier, based on the card number, to identify the card across multiple locations within a single application.`
      - `last_4` `string` — example: `The last 4 digits of the card number.`
      - `enabled` `boolean` — Indicates whether or not a card can be used for payments. — example: `true`
      - `billing_address` `object`
        - `id` `string` — Unique identifier for the address. — example: `123`
        - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
        - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
        - `name` `string` — The name of the address. — example: `HQ US`
        - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
        - `line2` `string` — Line 2 of the address — example: `apt #`
        - `line3` `string` — Line 3 of the address — example: `Suite #`
        - `line4` `string` — Line 4 of the address — example: `delivery instructions`
        - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
        - `street_number` `string` — Street number — example: `25`
        - `city` `string` — Name of city. — example: `San Francisco`
        - `state` `string` — Name of state — example: `CA`
        - `postal_code` `string` — Zip code or equivalent. — example: `94104`
        - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
        - `latitude` `string` — Latitude of the address — example: `40.759211`
        - `longitude` `string` — Longitude of the address — example: `-73.984638`
        - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
        - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
        - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
        - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
        - `fax` `string` — Fax number of the address — example: `122-111-1111`
        - `email` `string` — Email address of the address — example: `elon@musk.com`
        - `website` `string` — Website of the address — example: `https://elonmusk.com`
        - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
        - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
      - `reference_id` `string` — An optional user-defined reference ID that associates this record with another entity in an external system. For example, a customer ID from an external customer management system. — example: `card-001`
      - `version` `string` — example: `230320320320`
  - `bank_account` `object` — Card details for this payment. This field is currently not available. Reach out to our team for more info.
    - `bank_name` `string` — The name of the bank associated with the bank account.
    - `transfer_type` `string` — The type of the bank transfer. The type can be `ACH` or `UNKNOWN`.
    - `account_ownership_type` `string` — The ownership type of the bank account performing the transfer. The type can be `INDIVIDUAL`, `COMPANY`, or `UNKNOWN`.
    - `fingerprint` `string` — Uniquely identifies the bank account for this seller and can be used to determine if payments are from the same bank account.
    - `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
    - `statement_description` `string` — The statement description as sent to the bank.
    - `ach_details` `object` — ACH-specific details about `BANK_ACCOUNT` type payments with the `transfer_type` of `ACH`.
      - `routing_number` `string` — The routing number for the bank account.
      - `account_number_suffix` `string` — The last few digits of the bank account number.
      - `account_type` `string` — The type of the bank account performing the transfer. The account type can be `CHECKING`, `SAVINGS`, or `UNKNOWN`.
  - `wallet` `object` — Wallet details for this payment. This field is currently not available. Reach out to our team for more info.
    - `status` `string` — The status of the wallet payment. The status can be AUTHORIZED, CAPTURED, VOIDED, or FAILED. — enum: `authorized`, `captured`, `voided`, `failed`, `other`
  - `external_details` `object` — Details about an external payment.
    - `type` `string` **required** — The type of external payment the seller received. It can be one of the following: - CHECK - Paid using a physical check. - BANK_TRANSFER - Paid using external bank transfer. - OTHER\_GIFT\_CARD - Paid using a non-Square gift card. - CRYPTO - Paid using a crypto currency. - SQUARE_CASH - Paid using Square Cash App. - SOCIAL - Paid using peer-to-peer payment applications. - EXTERNAL - A third-party application gathered this payment outside of Square. - EMONEY - Paid using an E-money provider. - CARD - A credit or debit card that Square does not support. - STORED_BALANCE - Use for house accounts, store credit, and so forth. - FOOD_VOUCHER - Restaurant voucher provided by employers to employees to pay for meals - OTHER - A type not listed here. — enum: `check`, `bank_transfer`, `other_gift_card`, `crypto`, `square_cash`, `social`, `external`, `emoney`, `card`, `stored_balance`, `food_voucher`, `other`
    - `source` `string` **required** — A description of the external payment source. For example,  "Food Delivery Service".
    - `source_id` `string` — An ID to associate the payment to its originating source.
    - `source_fee_amount` `number` — The fees paid to the source. The amount minus this field is the net amount seller receives. — example: `2.5`
  - `service_charges` `array of object` — Optional service charges or gratuity tip applied to the order.
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `name` `string` — Service charge name — example: `Charge for delivery`
    - `amount` `number` — example: `27500`
    - `percentage` `number` — Service charge percentage. Use this field to calculate the amount of the service charge. Pass a percentage and amount at the same time. — example: `12.5`
    - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
    - `active` `boolean` — example: `true`
    - `type` `string` — The type of the service charge. — enum: `auto_gratuity`, `custom`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `updated_by` `string` — The user who last updated the object. — example: `12345`
  - `created_by` `string` — The user who created the object. — example: `12345`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Delete Payment

> **POS API** · `DELETE /pos/payments/{id}`
> Canonical URL: https://developers.apideck.com/apis/pos/reference#tag/Payments/operation/paymentsDelete

Delete Payment

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Responses

#### 200 — PosPayments

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `square`
- `resource` `string` **required** — Unified API resource name — example: `PosPayments`
- `operation` `string` **required** — Operation performed — example: `delete`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Update Payment

> **POS API** · `PATCH /pos/payments/{id}`
> Canonical URL: https://developers.apideck.com/apis/pos/reference#tag/Payments/operation/paymentsUpdate

Update Payment

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Request Body

_Required._

- `id` `string` — A unique identifier for an object. — example: `12345`
- `source_id` `string` **required** — The ID for the source of funds for this payment. Square-only: This can be a payment token (card nonce) generated by the payment form or a card on file made linked to the customer. if recording a payment that the seller received outside of Square, specify either `CASH` or `EXTERNAL`. — example: `12345`
- `order_id` `string` **required** — example: `12345`
- `merchant_id` `string` — example: `12345`
- `customer_id` `string` **required** — example: `12345`
- `employee_id` `string` — example: `12345`
- `location_id` `string` — example: `12345`
- `device_id` `string` — example: `12345`
- `tender_id` `string` **required** — example: `12345`
- `external_payment_id` `string` — example: `12345`
- `idempotency_key` `string` — A value you specify that uniquely identifies this request among requests you have sent. — example: `random_string`
- `amount` `number` **required** — example: `27.5`
- `currency` `string` **required** — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
- `tip` `number` — example: `7`
- `tax` `number` — example: `20`
- `total` `number` — example: `37.5`
- `app_fee` `number` — The amount the developer is taking as a fee for facilitating the payment on behalf of the seller. — example: `3`
- `change_back_cash_amount` `number` — example: `20`
- `approved` `number` — The initial amount of money approved for this payment. — example: `37.5`
- `refunded` `number` — The initial amount of money approved for this payment. — example: `37.5`
- `processing_fees` `array of any`
  - `amount` `number` — example: `1.05`
  - `effective_at` `string` — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `processing_type` `string` — enum: `initial`, `adjustment`
- `source` `string` — Source of this payment. — enum: `card`, `bank_account`, `wallet`, `bnpl`, `cash`, `external`, `other` — example: `external`
- `status` `string` — Status of this payment. — enum: `approved`, `pending`, `completed`, `canceled`, `failed`, `other` — example: `approved`
- `cash` `object` — Cash details for this payment
  - `amount` `any` — The amount of cash given by the customer.
  - `charge_back_amount` `any` — The amount of change due back to the buyer. For Square: this read-only field is calculated from the amount_money and buyer_supplied_money fields.
- `card_details` `object`
  - `card` `object` — A card's non-confidential details.
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `bin` `string` — The first six digits of the card number, known as the Bank Identification Number (BIN). — example: `41111`
    - `card_brand` `string` — The first six digits of the card number, known as the Bank Identification Number (BIN). — enum: `visa`, `mastercard`, `amex`, `discover`, `discover-diners`, `jcb`, `china-unionpay`, `square-gift-card`, `square-capital-card`, `interac`, `eftpos`, `felica`, `ebt`, `other`
    - `card_type` `string` — enum: `credit`, `debit`, `prepaid`, `other` — example: `credit`
    - `prepaid_type` `string` — enum: `non-prepaid`, `prepaid`, `unknown` — example: `prepaid`
    - `cardholder_name` `string` — example: `John Doe`
    - `customer_id` `string` — example: `12345`
    - `merchant_id` `string` — example: `12345`
    - `exp_month` `integer` — The expiration month of the associated card as an integer between 1 and 12. — example: `1`
    - `exp_year` `integer` — The four-digit year of the card's expiration date. — example: `2022`
    - `fingerprint` `string` — example: ` Intended as a POS-assigned identifier, based on the card number, to identify the card across multiple locations within a single application.`
    - `last_4` `string` — example: `The last 4 digits of the card number.`
    - `enabled` `boolean` — Indicates whether or not a card can be used for payments. — example: `true`
    - `billing_address` `object`
      - `id` `string` — Unique identifier for the address. — example: `123`
      - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
      - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
      - `name` `string` — The name of the address. — example: `HQ US`
      - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
      - `line2` `string` — Line 2 of the address — example: `apt #`
      - `line3` `string` — Line 3 of the address — example: `Suite #`
      - `line4` `string` — Line 4 of the address — example: `delivery instructions`
      - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
      - `street_number` `string` — Street number — example: `25`
      - `city` `string` — Name of city. — example: `San Francisco`
      - `state` `string` — Name of state — example: `CA`
      - `postal_code` `string` — Zip code or equivalent. — example: `94104`
      - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
      - `latitude` `string` — Latitude of the address — example: `40.759211`
      - `longitude` `string` — Longitude of the address — example: `-73.984638`
      - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
      - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
      - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
      - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
      - `fax` `string` — Fax number of the address — example: `122-111-1111`
      - `email` `string` — Email address of the address — example: `elon@musk.com`
      - `website` `string` — Website of the address — example: `https://elonmusk.com`
      - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
      - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
    - `reference_id` `string` — An optional user-defined reference ID that associates this record with another entity in an external system. For example, a customer ID from an external customer management system. — example: `card-001`
    - `version` `string` — example: `230320320320`
- `bank_account` `object` — Card details for this payment. This field is currently not available. Reach out to our team for more info.
  - `bank_name` `string` — The name of the bank associated with the bank account.
  - `transfer_type` `string` — The type of the bank transfer. The type can be `ACH` or `UNKNOWN`.
  - `account_ownership_type` `string` — The ownership type of the bank account performing the transfer. The type can be `INDIVIDUAL`, `COMPANY`, or `UNKNOWN`.
  - `fingerprint` `string` — Uniquely identifies the bank account for this seller and can be used to determine if payments are from the same bank account.
  - `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
  - `statement_description` `string` — The statement description as sent to the bank.
  - `ach_details` `object` — ACH-specific details about `BANK_ACCOUNT` type payments with the `transfer_type` of `ACH`.
    - `routing_number` `string` — The routing number for the bank account.
    - `account_number_suffix` `string` — The last few digits of the bank account number.
    - `account_type` `string` — The type of the bank account performing the transfer. The account type can be `CHECKING`, `SAVINGS`, or `UNKNOWN`.
- `wallet` `object` — Wallet details for this payment. This field is currently not available. Reach out to our team for more info.
  - `status` `string` — The status of the wallet payment. The status can be AUTHORIZED, CAPTURED, VOIDED, or FAILED. — enum: `authorized`, `captured`, `voided`, `failed`, `other`
- `external_details` `object` — Details about an external payment.
  - `type` `string` **required** — The type of external payment the seller received. It can be one of the following: - CHECK - Paid using a physical check. - BANK_TRANSFER - Paid using external bank transfer. - OTHER\_GIFT\_CARD - Paid using a non-Square gift card. - CRYPTO - Paid using a crypto currency. - SQUARE_CASH - Paid using Square Cash App. - SOCIAL - Paid using peer-to-peer payment applications. - EXTERNAL - A third-party application gathered this payment outside of Square. - EMONEY - Paid using an E-money provider. - CARD - A credit or debit card that Square does not support. - STORED_BALANCE - Use for house accounts, store credit, and so forth. - FOOD_VOUCHER - Restaurant voucher provided by employers to employees to pay for meals - OTHER - A type not listed here. — enum: `check`, `bank_transfer`, `other_gift_card`, `crypto`, `square_cash`, `social`, `external`, `emoney`, `card`, `stored_balance`, `food_voucher`, `other`
  - `source` `string` **required** — A description of the external payment source. For example,  "Food Delivery Service".
  - `source_id` `string` — An ID to associate the payment to its originating source.
  - `source_fee_amount` `number` — The fees paid to the source. The amount minus this field is the net amount seller receives. — example: `2.5`
- `service_charges` `array of object` — Optional service charges or gratuity tip applied to the order.
  - `id` `string` — A unique identifier for an object. — example: `12345`
  - `name` `string` — Service charge name — example: `Charge for delivery`
  - `amount` `number` — example: `27500`
  - `percentage` `number` — Service charge percentage. Use this field to calculate the amount of the service charge. Pass a percentage and amount at the same time. — example: `12.5`
  - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
  - `active` `boolean` — example: `true`
  - `type` `string` — The type of the service charge. — enum: `auto_gratuity`, `custom`
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `updated_by` `string` — The user who last updated the object. — example: `12345`
- `created_by` `string` — The user who created the object. — example: `12345`
- `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.

### Responses

#### 200 — PosPayments

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `square`
- `resource` `string` **required** — Unified API resource name — example: `PosPayments`
- `operation` `string` **required** — Operation performed — example: `update`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
